﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WingMan
{
    public class MouseKeyBinding
    {
        public MouseKeyBinding()
        {

        }
        public MouseKeyBinding(string name, List<string> keys) :this()
        {
            Name = name;
            Keys = keys;
        }

        public string DisplayName => $"{Name} ({string.Join(" + ", Keys.ToArray())})";

        public string Name { get; set; } = string.Empty;

        public List<string> Keys { get; set; } = new List<string>();
    }
}
